--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -1266,94 +1200,86 @@
 		1002 002a  Rage 128 AIW Pro AGP
 		1002 002b  Rage 128 AIW
 		1002 0048  Xpert 2000 Pro
-	544c  Rage 128 Pro Ultra TL
-	5452  Rage 128 Pro Ultra TR
+	5452  Rage 128 PRO Ultra4XL VR-R AGP
 		1002 001c  Rage 128 Pro 4XL
 		103c 1279  Rage 128 Pro 4XL
-	5453  Rage 128 Pro Ultra TS
-	5454  Rage 128 Pro Ultra TT
-	5455  Rage 128 Pro Ultra TU
-	5460  RV370 [Mobility Radeon X300]
+	5460  RV370/M22 [Mobility Radeon X300]
 		1775 1100  CR11/VR11 Single Board Computer
-	5461  RV370 [Mobility Radeon X300]
-	5462  RV380 [Mobility Radeon X600]
-	5464  RV370 [Mobility FireGL V3100]
-	5548  R423 UH [Radeon X800 (PCIE)]
-	5549  R423 UI [Radeon X800PRO (PCIE)]
-	554a  R423 UJ [Radeon X800LE (PCIE)]
-	554b  R423 UK [Radeon X800SE (PCIE)]
-	554c  R430 [Radeon X800XTP PCIe]
-	554d  R430 [Radeon X800 XL] (PCIe)
+	5461  RV370/M22 [Mobility Radeon X300]
+	5462  RV380/M24C [Mobility Radeon X600 SE]
+	5464  RV370/M22 GL [Mobility FireGL V3100]
+	5549  R423 [Radeon X800 GTO]
+	554a  R423 [Radeon X800 XT Platinum Edition]
+	554b  R423 [Radeon X800 GT/SE]
+		1002 0302  Radeon X800 SE
+	554d  R430 [Radeon X800 XL]
+		1002 0322  All-In-Wonder X800 XL
 		1458 2124  GV-R80L256V-B (AGP)
-	554e  R430 [Radeon X800 SE PCIe]
-	554f  R430 [Radeon X800 (PCIE)]
-	5550  R423 [FireGL V7100]
-	5551  R423 [FireGL V5100 (PCIE)]
-	5552  R423 UR [FireGL V5100 (PCIE)]
-	5554  R423 UT [FireGL V7100 (PCIE)]
-	5555  R430 GL PRO
-	5569  R423 UI [Radeon X800PRO (PCIE)] (Secondary)
-	556b  Radeon R423 UK (PCIE) [X800 SE] (Secondary)
-	556d  R430 [Radeon X800 XL] (PCIe) (Secondary)
+	554e  R430 [All-In-Wonder X800 GT]
+	554f  R430 [Radeon X800]
+	5550  R423 GL [FireGL V7100]
+	5551  R423 GL [FireGL V5100]
+	5569  R423 [Radeon X800 PRO] (Secondary)
+	556b  R423 [Radeon X800 GT] (Secondary)
+	556d  R430 [Radeon X800 XL] (Secondary)
 		1458 2125  GV-R80L256V-B (AGP)
-	556f  R430 [Radeon X800] (PCIE) (Secondary)
-	5571  R423GL-SE [FireGL V5100 (PCIE)] (Secondary)
-	564a  M26 [Mobility FireGL V5000]
-	564b  M26 [Mobility FireGL V5000]
-	564f  M26 [Radeon Mobility X700 XL (PCIE)]
-	5652  M26 [Radeon Mobility X700]
-	5653  Radeon Mobility X700 (PCIE)
+	556f  R430 [Radeon X800] (Secondary)
+	5571  R423 GL [FireGL V5100] (Secondary)
+	564b  RV410/M26 GL [Mobility FireGL V5000]
+	564f  RV410/M26 [Mobility Radeon X700 XL]
+	5652  RV410/M26 [Mobility Radeon X700]
+	5653  RV410/M26 [Mobility Radeon X700]
 		1025 0080  Aspire 5024WLMi
 		103c 0940  HP Compaq NW8240 Mobile Workstation
 	5654  264VT [Mach64 VT]
 		1002 5654  Mach64VT Reference
 	5655  264VT3 [Mach64 VT3]
 	5656  264VT4 [Mach64 VT4]
-	5657  Radeon X550/X700 Series (RV410)
+	5657  RV410 [Radeon X550 XTX / X700]
 	5830  RS300 Host Bridge
 	5831  RS300 Host Bridge
 	5832  RS300 Host Bridge
-	5833  Radeon 9100 IGP Host Bridge
+	5833  RS300 Host Bridge
 	5834  RS300 [Radeon 9100 IGP]
-	5835  RS300M AGP [Radeon Mobility 9100IGP]
-	5838  Radeon 9100 IGP AGP Bridge
-	5854  Radeon Xpress Series (RS480)
-	5874  Radeon Xpress Series (RS482)
+	5835  RS300M [Mobility Radeon 9100 IGP]
+	5838  RS300 AGP Bridge
+	5854  RS480 [Radeon Xpress 200 Series] (Secondary)
+	5874  RS480 [Radeon Xpress 1150] (Secondary)
 	5940  RV280 [Radeon 9200 PRO] (Secondary)
 		17af 2021  Excalibur Radeon 9250 (Secondary)
 	5941  RV280 [Radeon 9200] (Secondary)
-		1458 4019  Gigabyte Radeon 9200
-		174b 7c12  Sapphire Radeon 9200
+		1458 4019  Radeon 9200
+		174b 7c12  Radeon 9200
 		17af 200d  Excalibur Radeon 9200
 		18bc 0050  GeXcube GC-R9200-C3 (Secondary)
-	5944  RV280 [Radeon 9200 SE (PCI)]
-	5950  RS480 Host Bridge
+	5944  RV280 [Radeon 9200 SE PCI]
+	5950  RS480/RS482/RS485 Host Bridge
 		1025 0080  Aspire 5024WLMMi
 		103c 280a  DC5750 Microtower
 		103c 2a20  Pavilion t3030.de Desktop PC
 		103c 308b  MX6125
 		1462 0131  MS-1013 Notebook
 		1462 7217  Aspire L250
-	5951  Radeon Xpress 200 (RS480/RS482/RX480/RX482) Chipset - Host bridge
-	5952  RD580 [CrossFire Xpress 3200] Chipset Host Bridge
-	5954  RS480 [Radeon Xpress 200G Series]
+	5951  RX480/RX482 Host Bridge
+	5952  RD580 Host Bridge
+	5954  RS480 [Radeon Xpress 200 Series]
 		1002 5954  RV370 [Radeon Xpress 200G Series]
-	5955  Radeon XPRESS 200M 5955 (PCIE)
+	5955  RS480M [Mobility Radeon Xpress 200]
 		1002 5955  RS480 0x5955 [Radeon XPRESS 200M 5955 (PCIE)]
 		103c 308b  MX6125
 		1462 0131  MS-1013 Notebook
-	5956  RD790 Northbridge only dual slot PCI-e_GFX and HT3 K8 part
-	5957  RX780/RX790 Chipset Host Bridge
+	5956  RD790 Host Bridge
+	5957  RX780/RX790 Host Bridge
 		1849 5957  A770CrossFire Motherboard
-	5958  RD780 Northbridge only dual slot PCI-e_GFX and HT1 K8 part
+	5958  RD780 Host Bridge
 	5960  RV280 [Radeon 9200 PRO]
 		17af 2020  Excalibur Radeon 9250
 	5961  RV280 [Radeon 9200]
 		1002 2f72  All-in-Wonder 9200 Series
 		1019 4c30  Radeon 9200 VIVO
 		12ab 5961  YUAN SMARTVGA Radeon 9200
-		1458 4018  Gigabyte Radeon 9200
-		174b 7c13  Sapphire Radeon 9200
+		1458 4018  Radeon 9200
+		174b 7c13  Radeon 9200
 		17af 200c  Excalibur Radeon 9200
 		18bc 0050  Radeon 9200 Game Buster
 		18bc 0051  GeXcube GC-R9200-C3
@@ -1361,29 +1287,28 @@
 	5962  RV280 [Radeon 9200]
 	5964  RV280 [Radeon 9200 SE]
 		1002 5964  Radeon 9200 SE, 64-bit 128MB DDR, 200/166MHz
-		1043 c006  ASUS Radeon 9200 SE / TD / 128M
+		1043 c006  Radeon 9200 SE / TD / 128M
 		1458 4018  Radeon 9200 SE
 		1458 4032  Radeon 9200 SE 128MB
 		147b 6191  R9200SE-DT
 		148c 2073  CN-AG92E
-		174b 7c13  Sapphire Radeon 9200 SE
+		174b 7c13  Radeon 9200 SE
 		1787 5964  Excalibur 9200SE VIVO 128M
 		17af 2012  Radeon 9200 SE Excalibur
 		18bc 0170  Sapphire Radeon 9200 SE 128MB Game Buster
 		18bc 0173  GC-R9200L(SE)-C3H [Radeon 9200 Game Buster]
-	5965  RV280 [FireMV 2200 PCI]
-	5969  ES1000
-	5974  RS482 [Radeon Xpress 200]
+	5965  RV280 GL [FireMV 2200 PCI]
+	5974  RS482/RS485 [Radeon Xpress 1100/1150]
 		103c 280a  DC5750 Microtower
 		1462 7141  Aspire L250
-	5975  RS482 [Radeon Xpress 200M]
-	5978  RD790 PCI to PCI bridge (external gfx0 port A)
+	5975  RS482M [Mobility Radeon Xpress 200]
+	5978  RX780/RD790 PCI to PCI bridge (external gfx0 port A)
 		1849 5957  A770CrossFire Motherboard
 	5979  RD790 PCI to PCI bridge (external gfx0 port B)
 	597a  RD790 PCI to PCI bridge (PCI express gpp port A)
-	597b  RD790 PCI to PCI bridge (PCI express gpp port B)
+	597b  RX780/RD790 PCI to PCI bridge (PCI express gpp port B)
 	597c  RD790 PCI to PCI bridge (PCI express gpp port C)
-	597d  RD790 PCI to PCI bridge (PCI express gpp port D)
+	597d  RX780/RD790 PCI to PCI bridge (PCI express gpp port D)
 	597e  RD790 PCI to PCI bridge (PCI express gpp port E)
 		1849 5957  A770CrossFire Motherboard
 	597f  RD790 PCI to PCI bridge (PCI express gpp port F)
@@ -1394,12 +1319,14 @@
 	5a10  RD890 Northbridge only dual slot (2x16) PCI-e GFX Hydra part
 	5a11  RD890 Northbridge only single slot PCI-e GFX Hydra part
 	5a12  RD890 Northbridge only dual slot (2x8) PCI-e GFX Hydra part
+		15d9 a811  H8DGU
 	5a13  RD890 PCI to PCI bridge (external gfx0 port A)
 	5a14  RD890 PCI to PCI bridge (external gfx0 port B)
 	5a15  RD890 PCI to PCI bridge (PCI express gpp port A)
 	5a16  RD890 PCI to PCI bridge (PCI express gpp port B)
 	5a17  RD890 PCI to PCI bridge (PCI express gpp port C)
 	5a18  RD890 PCI to PCI bridge (PCI express gpp port D)
+		15d9 a811  H8DGU
 	5a19  RD890 PCI to PCI bridge (PCI express gpp port E)
 	5a1a  RD890 PCI to PCI bridge (PCI express gpp port F)
 	5a1b  RD890 PCI to PCI bridge (PCI express gpp port G)
@@ -1407,6 +1334,8 @@
 	5a1d  RD890 PCI to PCI bridge (external gfx1 port A)
 	5a1e  RD890 PCI to PCI bridge (external gfx1 port B)
 	5a1f  RD890 PCI to PCI bridge (NB-SB link)
+		15d9 a811  H8DGU
+	5a20  RD890S PCI Express bridge for GPP2 port 1
 	5a23  RD990 I/O Memory Management Unit (IOMMU)
 	5a33  Radeon Xpress 200 Host Bridge
 	5a34  RS480 PCI-X Root Port
@@ -1419,12 +1348,10 @@
 	5a3f  RS480 PCI Bridge
 		1462 7217  Aspire L250
 	5a41  RS400 [Radeon Xpress 200]
-	5a42  RS400 [Radeon Xpress 200M]
-	5a43  Radeon Xpress Series (RS400)
-	5a61  RC410 [Radeon Xpress 200]
-	5a62  RC410 [Radeon Xpress 200M]
-	5a63  Radeon Xpress Series (RC410)
-	5b60  RV370 5B60 [Radeon X300 (PCIE)]
+	5a42  RS400M [Radeon Xpress 200M]
+	5a61  RC410 [Radeon Xpress 200/1100]
+	5a62  RC410M [Mobility Radeon Xpress 200M]
+	5b60  RV370 [Radeon X300]
 		1043 002a  Extreme AX300SE-X
 		1043 032e  Extreme AX300/TD
 		1458 2102  GV-RX30S128D (X300SE)
